package com.ruoyi.web.v2.v1.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsDivideCircle;
import com.ruoyi.web.v2.v1.entity.JsDrugCheck;
import com.ruoyi.web.v2.v1.service.IJsDrugCheckService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * <p>
 * v2.0违禁药物登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
@RestController
@RequestMapping("/js-drug-check")
@Api("2.0违禁药物登记")
public class JsDrugCheckController {

    @Autowired
    private IJsDrugCheckService drugCheckService;


    @ApiOperation("违禁药物登记添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody JsDrugCheck drugCheck) {
        return drugCheckService.add(drugCheck);
    }

    @ApiOperation("违禁药物登记修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody JsDrugCheck drugCheck) {
        return drugCheckService.edit(drugCheck);
    }

    @ApiOperation("违禁药物登记删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return drugCheckService.delete(ids);
    }

    @ApiOperation("违禁药物登记列表")
    @PostMapping("/list")
    public AjaxResult listAll() {
        return drugCheckService.listAll();
    }

    @ApiOperation("违禁药物登记分页")
    @GetMapping("/page")
    public AjaxResult page(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize
            , @RequestParam(value = "startTime", required = false) String startTime
            , @RequestParam(value = "endTime", required = false) String endTime
            , @RequestParam(value = "animalCertNo", required = false) String animalCertNo) {

        return drugCheckService.page(pageNum, pageSize, startTime, endTime, animalCertNo);
    }

    @ApiOperation("违禁药物登记详情")
    @PostMapping("/listById")
    public AjaxResult listById(@RequestBody Map<String, String> paramsMap) {
        String id = paramsMap.get("id");
        return success(drugCheckService.getById(id));
    }
}
