package com.ruoyi.web.v2.v1.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.web.v2.v1.entity.JsDeviceMaintenance;
import com.ruoyi.web.v2.v1.entity.JsDistribution;
import com.ruoyi.web.v2.v1.mapper.JsDisinfectMapper;
import com.ruoyi.web.v2.v1.mapper.JsDistributionMapper;
import com.ruoyi.web.v2.v1.service.IJsDistributionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * <p>
 * v2.0分销登记 服务实现类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
@Service
public class JsDistributionServiceImpl extends ServiceImpl<JsDistributionMapper, JsDistribution> implements IJsDistributionService {

    @Autowired
    private JsDistributionMapper distributionMapper;

    @Override
    public AjaxResult add(JsDistribution distribution) {
        distributionMapper.insert(distribution);
        return success();
    }

    @Override
    public AjaxResult edit(JsDistribution distribution) {
        distributionMapper.updateById(distribution);
        return success();
    }

    @Override
    public AjaxResult delete(String ids) {
        String[] split = ids.split(",");
        for (String s : split) {
            distributionMapper.deleteById(s);
        }
        return success();
    }

    @Override
    public AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, Integer supplierId, Integer purchaserId, Integer animalCertNo) {
        Page<JsDistribution> page = new Page<>(pageNum, pageSize);
        QueryWrapper<JsDistribution> queryWrapper = new QueryWrapper<>();
        if ("".equals(startTime) || null == startTime) {

        } else {
            queryWrapper.between("distribution_time", startTime, endTime);
        }
        if (null != supplierId) {
            queryWrapper.eq("supplier_id", supplierId);
        }
        if (null != purchaserId) {
            queryWrapper.eq("purchaser_id", purchaserId);
        }
        if (null != animalCertNo) {
            queryWrapper.eq("animalCert_no", animalCertNo);
        }
        return success(distributionMapper.selectPage(page, queryWrapper));
    }

    @Override
    public AjaxResult listAll() {
        return success(distributionMapper.selectList(null));
    }
}
