package com.ruoyi.web.v2.v1.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.web.v2.v1.entity.JsDivideCircle;
import com.ruoyi.web.v2.v1.entity.JsDrugCheck;
import com.ruoyi.web.v2.v1.mapper.JsDrugCheckMapper;
import com.ruoyi.web.v2.v1.service.IJsDrugCheckService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * <p>
 * v2.0违禁药物登记 服务实现类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
@Service
public class JsDrugCheckServiceImpl extends ServiceImpl<JsDrugCheckMapper, JsDrugCheck> implements IJsDrugCheckService {

    @Autowired
    private JsDrugCheckMapper drugCheckMapper;

    @Override
    public AjaxResult add(JsDrugCheck drugCheck) {
        drugCheckMapper.insert(drugCheck);
        return success();
    }

    @Override
    public AjaxResult edit(JsDrugCheck drugCheck) {
        drugCheckMapper.updateById(drugCheck);
        return success();
    }

    @Override
    public AjaxResult delete(String ids) {
        String[] split = ids.split(",");
        for (String s : split) {
            drugCheckMapper.deleteById(s);
        }
        return success();
    }

    @Override
    public AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String animalCertNo) {
        Page<JsDrugCheck> page = new Page<>(pageNum, pageSize);
        QueryWrapper<JsDrugCheck> queryWrapper = new QueryWrapper<>();
        if ("".equals(startTime) || null == startTime) {

        } else {
            queryWrapper.between("check_time", startTime, endTime);
        }
        queryWrapper.like(StringUtils.isNotEmpty(animalCertNo),"animal_cert_no", animalCertNo);
        return success(drugCheckMapper.selectPage(page, queryWrapper));
    }

    @Override
    public AjaxResult listAll() {
        return success(drugCheckMapper.selectList(null));
    }
}
